Debian Bug report logs - #627585
/boot/vmlinux-2.6.32-5-powerpc: Only depth 8bpp works with XGI Volari Z9s card PCA-5612 when using sisfb

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Andrew Buckeridge <andrewb@zagam.net>

Date: Sun, 22 May 2011 08:45:01 UTC

Severity: normal

Tags: moreinfo

Found in versions 2.6.32-31, linux-2.6/3.0.0~rc4-1~experimental.1

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627585; Package linux-2.6. (Sun, 22 May 2011 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Buckeridge <andrewb@zagam.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 May 2011 08:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Buckeridge <andrewb@zagam.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /boot/vmlinux-2.6.32-5-powerpc: Only depth 8bpp works with XGI Volari Z9s card PCA-5612 when using sisfb
Date: Sun, 22 May 2011 16:19:46 +0800
Package: linux-2.6
Version: 2.6.32-31
Severity: normal
File: /boot/vmlinux-2.6.32-5-powerpc


If a depth other than 8 bit is chosen colours are not mapped properly.
The text on the virtual console is not white. The same happens when
X.org is started.

The virtual console is functional at 8 bpp (appart from the DVI port),
but if I force depth with the X server with -- -depth 16, 24 or 32 I get
the same problem.

Many X apps are no longer functional with 256 colours. However, 16 bpp
should be adequate. (i.e. 1400x1050x16 similar to vesa mode 0x0348)

Also the DVI port on the PCA-5612 card is not active. This should mirror
the CRT output. This may be bug #610710.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-powerpc (Debian 2.6.32-31) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Mon Mar 7 22:49:07 UTC 2011

** Command line:
video=sisfb:mode:1400x1050x8,rate:60 panic=300 root=UUID=39c3b58f-8331-4c14-828b-77eb1c2132df

** Not tainted

** Kernel log:
[    5.620254] usb usb3: SerialNumber: 0000:00:0c.2
[    5.634551] usb usb3: configuration #1 chosen from 1 choice
[    5.647784] hub 3-0:1.0: USB hub found
[    5.660707] hub 3-0:1.0: 2 ports detected
[    5.673640] firewire_core: created device fw0: GUID 0011060000004b2f, S400
[    5.689507] ohci_hcd 0000:00:06.1: OHCI Host Controller
[    5.734225] ohci_hcd 0000:00:06.1: new USB bus registered, assigned bus number 4
[    5.779583] ohci_hcd 0000:00:06.1: irq 9, io mem 0x80001000
[    5.794679] ide-cd driver 5.00
[    5.809129] ide-cd: hdc: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache
[    5.822181] Uniform CD-ROM driver Revision: 3.20
[    5.885375] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[    5.898898] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    5.911951] usb usb4: Product: OHCI Host Controller
[    5.924925] usb usb4: Manufacturer: Linux 2.6.32-5-powerpc ohci_hcd
[    5.938112] usb usb4: SerialNumber: 0000:00:06.1
[    5.954113] usb usb4: configuration #1 chosen from 1 choice
[    5.967748] hub 4-0:1.0: USB hub found
[    5.981646] hub 4-0:1.0: 1 port detected
[    5.995123] uhci_hcd 0000:00:0c.3: enabling device (0000 -> 0001)
[    6.061666] usb 3-2: new full speed USB device using uhci_hcd and address 2
[    6.101632] uhci_hcd 0000:00:0c.3: UHCI Host Controller
[    6.121635] uhci_hcd 0000:00:0c.3: new USB bus registered, assigned bus number 5
[    6.134638] uhci_hcd 0000:00:0c.3: irq 9, io base 0x00001060
[    6.147287] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
[    6.159729] usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    6.172033] usb usb5: Product: UHCI Host Controller
[    6.184322] usb usb5: Manufacturer: Linux 2.6.32-5-powerpc uhci_hcd
[    6.196609] usb usb5: SerialNumber: 0000:00:0c.3
[    6.211537] usb usb5: configuration #1 chosen from 1 choice
[    6.224707] hub 5-0:1.0: USB hub found
[    6.237178] hub 5-0:1.0: 2 ports detected
[    6.294778] usb 3-2: not running at top speed; connect to a high speed hub
[    6.340797] usb 3-2: New USB device found, idVendor=03f0, idProduct=3417
[    6.353363] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    6.365814] usb 3-2: Product: HP LaserJet 3055
[    6.378045] usb 3-2: Manufacturer: Hewlett-Packard
[    6.390165] usb 3-2: SerialNumber: 00CNCK544241
[    6.404118] usb 3-2: configuration #1 chosen from 1 choice
[    6.983152] REISERFS (device hda2): found reiserfs format "3.6" with standard journal
[    6.995804] REISERFS (device hda2): using ordered data mode
[    7.052130] REISERFS (device hda2): journal params: device hda2, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
[    7.070240] REISERFS (device hda2): checking transaction log (hda2)
[    7.126399] REISERFS (device hda2): Using r5 hash to sort names
[   10.477154] udev[177]: starting version 164
[   12.891899] vt596_smbus 0000:00:0c.4: Enabling SMBus device
[   13.010758] parport_pc: VIA 686A/8231 detected
[   13.010776] parport_pc: probing current configuration
[   13.010840] parport_pc: Current parallel port base: 0x3BC
[   13.010917] parport0: PC-style at 0x3bc, irq 7 [PCSPP]
[   13.155104] parport_pc: VIA parallel port: io=0x3BC, irq=7
[   13.227399] vt8231 0000:00:0c.4: enabling sensors
[   13.368092] usblp0: USB Bidirectional printer dev 2 if 0 alt 1 proto 2 vid 0x03F0 pid 0x3417
[   13.415621] usbcore: registered new interface driver usblp
[   14.000388] VIA 82xx Modem 0000:00:0c.6: enabling device (0000 -> 0001)
[   15.289715] VIA 82xx Modem: probe of 0000:00:0c.6 failed with error -13
[   15.315623] VIA 82xx Audio 0000:00:0c.5: enabling device (0000 -> 0001)
[   18.439948] Adding 2096472k swap on /dev/hda5.  Priority:-1 extents:1 across:2096472k 
[   21.545262] serio: i8042 KBD port at 0x60,0x64 irq 1
[   21.617170] serio: i8042 AUX port at 0x60,0x64 irq 12
[   21.956728] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[   22.102350] oprofile: using ppc/7450 performance monitoring.
[   22.182589] usbcore: registered new interface driver usbserial
[   22.205138] USB Serial support registered for generic
[   22.227144] usbcore: registered new interface driver usbserial_generic
[   22.248563] usbserial: USB Serial Driver core
[   22.298595] USB Serial support registered for Handspring Visor / Palm OS
[   22.322177] USB Serial support registered for Sony Clie 3.5
[   22.343641] USB Serial support registered for Sony Clie 5.0
[   22.364287] usbcore: registered new interface driver visor
[   22.383859] visor: USB HandSpring Visor / Palm OS driver
[   22.443180] Software Watchdog Timer: 0.07 initialized. soft_noboot=0 soft_margin=60 sec (nowayout= 0)
[   22.495038] i2c /dev entries driver
[   22.634104] Initializing USB Mass Storage driver...
[   22.653800] usbcore: registered new interface driver usb-storage
[   22.673588] USB Mass Storage support registered.
[   23.403541] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
[   23.587737] REISERFS (device hda4): found reiserfs format "3.6" with standard journal
[   23.605083] REISERFS (device hda4): using ordered data mode
[   23.643853] REISERFS (device hda4): journal params: device hda4, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
[   23.665861] REISERFS (device hda4): checking transaction log (hda4)
[   23.737168] REISERFS (device hda4): Using r5 hash to sort names
[   27.485882] fuse init (API version 7.13)
[   34.196080] ip_tables: (C) 2000-2006 Netfilter Core Team
[   35.872215] Bluetooth: Core ver 2.15
[   35.890976] NET: Registered protocol family 31
[   35.905802] Bluetooth: HCI device and connection manager initialized
[   35.919069] Bluetooth: HCI socket layer initialized
[   36.068322] Bluetooth: L2CAP ver 2.14
[   36.081354] Bluetooth: L2CAP socket layer initialized
[   36.292523] Bluetooth: RFCOMM TTY layer initialized
[   36.306461] Bluetooth: RFCOMM socket layer initialized
[   36.319137] Bluetooth: RFCOMM ver 1.11
[   36.414798] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   36.427666] Bluetooth: BNEP filters: protocol multicast
[   36.599420] Bridge firewalling registered
[   36.641455] eth1: no IPv6 routers present
[   36.677348] Bluetooth: SCO (Voice Link) ver 0.6
[   36.690137] Bluetooth: SCO socket layer initialized
[   39.850469] lp0: using parport0 (interrupt-driven).

** Model information
revision	: 1.1 (pvr 8002 0101)
platform	: CHRP
model		: Pegasos2
machine		: CHRP Pegasos2

** Loaded modules:
Module                  Size  Used by
cpufreq_powersave       4138  0 
cpufreq_stats           5840  0 
cpufreq_userspace       5156  0 
cpufreq_ondemand       10789  0 
cpufreq_conservative     8952  0 
lp                     10975  0 
sco                    11560  2 
bridge                 48915  0 
stp                     4885  1 bridge
bnep                   13750  2 
rfcomm                 37798  0 
l2cap                  32868  4 bnep,rfcomm
bluetooth              52362  6 sco,bnep,rfcomm,l2cap
rfkill                 17994  2 bluetooth
xt_tcpudp               5511  17 
iptable_filter          5502  1 
ip_tables              13570  1 iptable_filter
x_tables               14599  2 xt_tcpudp,ip_tables
fuse                   58259  1 
ext2                   66477  1 
hid                    68441  0 
usb_storage            40810  0 
snd_i2c                 7322  0 
binfmt_misc            10371  1 
i2c_dev                 8978  0 
softdog                 6508  0 
visor                  15864  0 
usbserial              32399  1 visor
oprofile               22961  0 
sr_mod                 17530  0 
serio_raw               7592  0 
psmouse                49689  0 
atkbd                  18118  0 
libps2                  7343  2 psmouse,atkbd
i8042                  14431  1 libps2
serio                  13364  6 serio_raw,psmouse,atkbd,i8042
snd_via82xx            25172  0 
gameport               11244  1 snd_via82xx
snd_via82xx_modem      13464  0 
snd_ac97_codec         96350  2 snd_via82xx,snd_via82xx_modem
snd_mpu401_uart         9275  1 snd_via82xx
ac97_bus                4334  1 snd_ac97_codec
snd_pcm_oss            42143  0 
snd_mixer_oss          19030  1 snd_pcm_oss
snd_pcm                65033  4 snd_via82xx,snd_via82xx_modem,snd_ac97_codec,snd_pcm_oss
snd_seq_midi            8216  0 
snd_rawmidi            21199  2 snd_mpu401_uart,snd_seq_midi
snd_seq_midi_event      7956  1 snd_seq_midi
snd_seq                51409  2 snd_seq_midi,snd_seq_midi_event
snd_timer              20956  2 snd_pcm,snd_seq
usblp                  13711  0 
snd_seq_device          8405  3 snd_seq_midi,snd_rawmidi,snd_seq
vt8231                 16398  0 
snd                    52651  12 snd_i2c,snd_via82xx,snd_via82xx_modem,snd_ac97_codec,snd_mpu401_uart,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
parport_pc             28780  1 
snd_page_alloc          9045  3 snd_via82xx,snd_via82xx_modem,snd_pcm
soundcore               8003  1 snd
i2c_viapro             10015  0 
evdev                  11760  1 
parport                32295  2 lp,parport_pc
reiserfs              247283  2 
ext4                  320119  0 
mbcache                 8286  2 ext2,ext4
jbd2                   70877  1 ext4
crc16                   4475  2 l2cap,ext4
ide_cd_mod             28561  0 
cdrom                  36699  2 sr_mod,ide_cd_mod
ata_generic             5999  0 
libata                143140  1 ata_generic
scsi_mod              126886  3 usb_storage,sr_mod,libata
uhci_hcd               27648  0 
ohci_hcd               35383  0 
ide_pci_generic         5576  0 
marvell                 7707  0 
mv643xx_eth            28980  0 
firewire_ohci          26160  0 
libphy                 19550  2 marvell,mv643xx_eth
ehci_hcd               44244  0 
inet_lro                8410  1 mv643xx_eth
firewire_core          44226  1 firewire_ohci
via_rhine              22697  0 
usbcore               132295  8 usb_storage,visor,usbserial,usblp,uhci_hcd,ohci_hcd,ehci_hcd
via82cxxx               8134  4 
crc_itu_t               4495  1 firewire_core
nls_base                8693  1 usbcore

** Network interface configuration:

auto lo
iface lo inet loopback

mapping eth1
	script grep
	map eth1

auto eth1
allow-hotplug eth1
iface eth1 inet static
address 10.254.0.3
netmask 255.255.255.0
network 10.254.0.0
broadcast 10.254.0.255
gateway 10.254.0.128
pre-up /sbin/ethtool -s eth1 speed 10 duplex full autoneg off

iface eth0 inet static
address 10.254.0.130
netmask 255.255.255.0
network 10.254.0.0
broadcast 10.254.0.255
up /sbin/route add -host 10.254.0.160 dev eth0 \
&& /sbin/route add -net 10.0.0.0 netmask 255.0.0.0 gw 10.254.0.160 dev eth0 \
&& /sbin/route del -net 10.254.0.0 netmask 255.255.255.0 dev eth0


** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:0b:2f:6b:e4:87 brd ff:ff:ff:ff:ff:ff
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 00:0b:2f:74:9c:c1 brd ff:ff:ff:ff:ff:ff
    inet 10.254.0.3/24 brd 10.254.0.255 scope global eth1
    inet6 fe80::20b:2fff:fe74:9cc1/64 scope link 
       valid_lft forever preferred_lft forever
4: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether 36:99:89:d5:6e:63 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   21404     136    0    0    0     0          0         0    21404     136    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  eth1:  210119     599    0    0    0     0          0         0    56915     634    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    709 total packets received
    0 forwarded
    0 incoming packets discarded
    709 incoming packets delivered
    713 requests sent out
Icmp:
    11 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 11
    11 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 11
IcmpMsg:
        InType3: 11
        OutType3: 11
Tcp:
    11 active connections openings
    1 passive connection openings
    1 failed connection attempts
    0 connection resets received
    0 connections established
    164 segments received
    171 segments send out
    2 segments retransmited
    0 bad segments received.
    7 resets sent
Udp:
    474 packets received
    10 packets to unknown port received.
    0 packet receive errors
    527 packets sent
UdpLite:
TcpExt:
    1 TCP sockets finished time wait in fast timer
    2 delayed acks sent
    44 packet headers predicted
    23 acknowledgments not containing data payload received
    2 other TCP timeouts
IpExt:
    InMcastPkts: 20
    OutMcastPkts: 17
    InBcastPkts: 50
    InOctets: 222845
    OutOctets: 65468
    InMcastOctets: 3493
    OutMcastOctets: 2709
    InBcastOctets: 4202

*** Device features:
eth0: 0x803
eth1: 0x0
lo: 0x13865
pan0: 0xff3865

** PCI devices:
0000:00:00.0 Host bridge [0600]: Marvell Technology Group Ltd. MV64360/64361/64362 System Controller [11ab:6460] (rev 03)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR+ INTx-
	Latency: 0, Cache Line Size: 128 bytes
	Interrupt: pin A routed to IRQ 0

0000:00:01.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044] (rev 46) (prog-if 10 [OHCI])
	Subsystem: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (8000ns max)
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at 80002000 (32-bit, non-prefetchable) [size=2K]
	Region 1: I/O ports at 1080 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

0000:00:06.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 8 (250ns min, 10500ns max)
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at 80000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

0000:00:06.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) (prog-if 10 [OHCI])
	Subsystem: NEC Corporation Hama USB 2.0 CardBus [1033:0035]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 8 (250ns min, 10500ns max)
	Interrupt: pin B routed to IRQ 9
	Region 0: Memory at 80001000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

0000:00:06.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 04) (prog-if 20 [EHCI])
	Subsystem: Device [0ee4:3383]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 68 (4000ns min, 8500ns max), Cache Line Size: 32 bytes
	Interrupt: pin C routed to IRQ 9
	Region 0: Memory at 80002800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

0000:00:07.0 VGA compatible controller [0300]: XGI Technology Inc. (eXtreme Graphics Innovation) Z7/Z9 (XG20 core) [18ca:0020] (prog-if 00 [VGA controller])
	Subsystem: XGI Technology Inc. (eXtreme Graphics Innovation) Z7/Z9 (XG20 core) [18ca:0020]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	BIST result: 00
	Region 0: Memory at 84000000 (32-bit, prefetchable) [size=64M]
	Region 1: Memory at 80040000 (32-bit, non-prefetchable) [size=256K]
	Region 2: I/O ports at 1100 [size=128]
	Expansion ROM at 80008000 [disabled] [size=32K]
	Capabilities: <access denied>
	Kernel driver in use: sisfb

0000:00:0c.0 ISA bridge [0601]: VIA Technologies, Inc. VT8231 [PCI-to-ISA Bridge] [1106:8231] (rev 10)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: parport_pc

0000:00:0c.1 IDE interface [0101]: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1106:0571] (rev 06) (prog-if 8a [Master SecP PriP])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin ? routed to IRQ 14
	Region 0: [virtual] I/O ports at 1000 [size=8]
	Region 1: [virtual] I/O ports at 100c [size=4]
	Region 2: [virtual] I/O ports at 1010 [size=8]
	Region 3: [virtual] I/O ports at 101c [size=4]
	Region 4: I/O ports at 1020 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: VIA_IDE

0000:00:0c.2 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 1e) (prog-if 00 [UHCI])
	Subsystem: First International Computer, Inc. VA-502 Mainboard [0925:1234]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 22
	Interrupt: pin D routed to IRQ 9
	Region 4: I/O ports at 1040 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

0000:00:0c.3 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 1e) (prog-if 00 [UHCI])
	Subsystem: First International Computer, Inc. VA-502 Mainboard [0925:1234]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 22
	Interrupt: pin D routed to IRQ 9
	Region 4: I/O ports at 1060 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

0000:00:0c.4 Bridge [0680]: VIA Technologies, Inc. VT8235 ACPI [1106:8235] (rev 10)
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

0000:00:0c.5 Multimedia audio controller [0401]: VIA Technologies, Inc. VT82C686 AC97 Audio Controller [1106:3058] (rev 40)
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 9
	Region 0: I/O ports at 1200 [size=256]
	Region 1: I/O ports at 1030 [size=4]
	Region 2: I/O ports at 1034 [size=4]
	Capabilities: <access denied>
	Kernel driver in use: VIA 82xx Audio

0000:00:0c.6 Communication controller [0780]: VIA Technologies, Inc. AC'97 Modem Controller [1106:3068] (rev 20)
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 9
	Region 0: I/O ports at 1300 [size=256]
	Capabilities: <access denied>

0000:00:0d.0 Ethernet controller [0200]: VIA Technologies, Inc. VT6102 [Rhine-II] [1106:3065] (rev 51)
	Subsystem: Device [3065:1106]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (63750ns min, 63750ns max)
	Interrupt: pin A routed to IRQ 9
	Region 0: I/O ports at 1400 [size=256]
	Region 1: Memory at 80002900 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: via-rhine

0001:01:00.0 Host bridge [0600]: Marvell Technology Group Ltd. MV64360/64361/64362 System Controller [11ab:6460] (rev 03)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 128 bytes
	Interrupt: pin A routed to IRQ 0


** USB devices:
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 03f0:3417 Hewlett-Packard LaserJet 3055
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-5-powerpc
Locale: LANG=en_AU, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-powerpc depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  libc6                         2.11.2-10  Embedded GNU C Library: Shared lib
ii  linux-base                    2.6.32-31  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-powerpc recommends:
ii  firmware-linux-free           2.6.32-31  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-powerpc suggests:
ii  linux-doc-2.6.32              2.6.32-31  Linux kernel specific documentatio
ii  mkvmlinuz                     35         create a kernel to boot a PowerPC 

Versions of packages linux-image-2.6.32-5-powerpc is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.28       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627585; Package linux-2.6. (Mon, 23 May 2011 04:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 04:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 627585@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Andrew Buckeridge <andrewb@zagam.net>, 627585@bugs.debian.org
Subject: Re: Bug#627585: /boot/vmlinux-2.6.32-5-powerpc: Only depth 8bpp works with XGI Volari Z9s card PCA-5612 when using sisfb
Date: Sun, 22 May 2011 21:52:37 -0700
[Message part 1 (text/plain, inline)]
On Sun, 2011-05-22 at 16:19 +0800, Andrew Buckeridge wrote:
> Package: linux-2.6
> Version: 2.6.32-31
> Severity: normal
> File: /boot/vmlinux-2.6.32-5-powerpc
> 
> 
> If a depth other than 8 bit is chosen colours are not mapped properly.
> The text on the virtual console is not white. The same happens when
> X.org is started.
> 
> The virtual console is functional at 8 bpp (appart from the DVI port),
> but if I force depth with the X server with -- -depth 16, 24 or 32 I get
> the same problem.
> 
> Many X apps are no longer functional with 256 colours. However, 16 bpp
> should be adequate. (i.e. 1400x1050x16 similar to vesa mode 0x0348)
> 
> Also the DVI port on the PCA-5612 card is not active. This should mirror
> the CRT output. This may be bug #610710.

Please test whether this problem is also present in Linux 2.6.39, as
packaged in unstable.  Note that you will need to upgrade
initramfs-tools at the same time, but this remains backward-compatible.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 23 May 2011 04:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627585; Package linux-2.6. (Fri, 17 Jun 2011 23:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Buckeridge <andrewb@zagam.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 17 Jun 2011 23:27:06 GMT) Full text and rfc822 format available.

Message #17 received at 627585@bugs.debian.org (full text, mbox):

From: Andrew Buckeridge <andrewb@zagam.net>
To: 627585@bugs.debian.org
Subject: Can not test xgi volari z9s with 2.6.39
Date: Sat, 18 Jun 2011 06:54:46 +0800
I can't run linux-image-2.6.39-2-powerpc 2.6.39-2,
linux-image-2.6.39-1-powerpc 2.6.39-1 or linux-image-2.6.38-2-powerpc
2.6.38-5 as a result I am not able to confirm if bug 627585 has been
fixed on this arch.

These displays are sometimes found on x86 servers.
http://ubuntuforums.org/showthread.php?t=1271694
Some one with such an x86 may be able to test.

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630845




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627585; Package linux-2.6. (Wed, 29 Jun 2011 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Buckeridge <andrewb@bgc.com.au>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Jun 2011 03:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 627585@bugs.debian.org (full text, mbox):

From: Andrew Buckeridge <andrewb@bgc.com.au>
To: 627585@bugs.debian.org
Subject: Re: Only depth 8bpp works with XGI Volari Z9s
Date: Wed, 29 Jun 2011 11:49:05 +0800
Package: linux-image-3.0.0-rc4-amd64
Version: 3.0.0~rc4-1~experimental.1
Architecture: i386

Package: linux-image-2.6.32-5-amd64
Version: 2.6.32-31
Architecture: i386

PCA-5612 XGI Volari Z9s works fine on x86 with above and Xorg sis
driver shipped by Debian. Is it endian?

/etc/modules: --
sisfb mode=1600x1200x16 rate=60
sis

/etc/X11/xorg.conf: --
  Section "Screen"
      Identifier        "Screen"
      Device    "Video Card"
      DefaultDepth      16
      SubSection "Display"
          Depth  16
          Virtual 1600 1200
      EndSubSection
  EndSection

Old (5 V vintage) C326PSv2.0 SiS 6326 card also required
video=sisfb:mode:1280x1024x8,rate:60,mem:12288 to work on
CHRP Pegasos2. Colour was muddled for other modes too.

Also DVI output on PCA-5612 not working. Only CRT output works.
/usr/share/doc/linux-doc-3.0.0/Documentation/fb/sisfb.txt.gz 
Looks like CRT2 type to LCD only selects mode not output.

8bpp is fine for console. Xorg, however needs at least 16bpp.
Though xserver-xorg-video-sis and xserver-xorg-video-trident cover
older cards there is also an XGI card driver upstream.
http://cgit.freedesktop.org/xorg/driver/xf86-video-xgi/

http://wiki.debian.org/XStrikeForce/XSFTODO
> Ship missing drivers?
> xserver-xorg-video-xgi

Some diversity with drivers may help Xorg.

See also bug #610710




Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sat, 06 Jul 2013 16:00:36 GMT) Full text and rfc822 format available.

Notification sent to Andrew Buckeridge <andrewb@zagam.net>:
Bug acknowledged by developer. (Sat, 06 Jul 2013 16:00:36 GMT) Full text and rfc822 format available.

Message #27 received at 627585-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 613845-done@bugs.debian.org, 617694-done@bugs.debian.org, 621823-done@bugs.debian.org, 624217-done@bugs.debian.org, 626593-done@bugs.debian.org, 627098-done@bugs.debian.org, 627585-done@bugs.debian.org, 628200-done@bugs.debian.org
Subject: Closing
Date: Sat, 6 Jul 2013 17:57:49 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Aug 2013 07:37:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:39:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.